#include <bits/stdc++.h>
using namespace std;
int main()
{
	freopen("tansuat.inp", "r", stdin);
	freopen("tansuat.out", "w", stdout);
	int n;
	cin>>n;
	int a[n];
	int d=1;
	for(int i=0;i<n;i++)
	{
		cin>>a[i];
	}
	bool kt=false;
	a[n]=-1;
	sort(a,a+n);
	for(int i=0;i<n;i++)
	{
		if(a[i]==a[i+1])d++;
		else
		{
			if(d>1)cout<<a[i]<<" "<<d<<endl;
			d=1;
			kt=true;
		}
	}
	if(kt==false){cout<<"0";}
}
